# Generated by Django 3.2.14 on 2023-02-07 14:27

from django.db import migrations


class Migration(migrations.Migration):

    dependencies = [
        ('document', '0101_salespurchaseorderdata_opportunity_crm_id'),
    ]

    def undo_addition_of_cloud_category(apps, schema_editor):
        SOWCategory = apps.get_model("document", "SOWCategory")
        db_alias = schema_editor.connection.alias
        SOWCategory.objects.using(db_alias).filter(name="Cloud").delete()

    def call_command_to_create_cloud_category(apps, schema_editor):
        from django.core.management import call_command
        call_command("addcloudcategory")

    operations = [
        migrations.RunPython(call_command_to_create_cloud_category, undo_addition_of_cloud_category),
    ]
